From 29916288cc47eb81b1ec2bab2851f6fcafc94668 Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Fri, 4 Nov 2011 12:58:09 -0500
Subject: [PATCH 33/43] include/misc.h: Add simplified defines for windowsness

---
 include/misc.h |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

diff --git a/include/misc.h b/include/misc.h
index bdcc8cc..a876a10 100644
--- a/include/misc.h
+++ b/include/misc.h
@@ -81,6 +81,25 @@ OF THIS SOFTWARE.
 #include <stddef.h>
 #include <stdint.h>
 
+
+/* Simplified definitions describing varieties of Win32-ness */
+#if defined(__CYGWIN__)
+#define IS_WIN32_CYGWIN
+#undef IS_WIN32_NATIVE
+#define IS_WIN32_NATIVE_OR_CYGWIN
+
+#elif defined(WIN32)
+#undef IS_WIN32_CYGWIN
+#define IS_WIN32_NATIVE
+#define IS_WIN32_NATIVE_OR_CYGWIN
+
+#else
+#undef IS_WIN32_CYGWIN
+#undef IS_WIN32_NATIVE
+#undef IS_WIN32_NATIVE_OR_CYGWIN
+#endif
+
+
 #ifndef MAXSCREENS
 #define MAXSCREENS	16
 #endif
-- 
1.7.7.1

